LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::sdbc::ProcedureResult Constant Group Referencepublished

determines whether a procedure returns a result or not. More...

## Variables
const long | UNKNOWN = 0
| A possible value for column `PROCEDURE_TYPE` in the com::sun::star::sdbc::XResultSet object returned by the method com::sun::star::sdbc::XDatabaseMetaData::getProcedures(). More...
const long | NONE = 1
| A possible value for column `PROCEDURE_TYPE` in the com::sun::star::sdbc::XResultSet object returned by the method com::sun::star::sdbc::XDatabaseMetaData::getProcedures(). More...
const long | RETURN = 2
| A possible value for column `PROCEDURE_TYPE` in the com::sun::star::sdbc::XResultSet object returned by the method com::sun::star::sdbc::XDatabaseMetaData::getProcedures(). More...

## Detailed Description

determines whether a procedure returns a result or not.

## Variable Documentation

## ◆ NONE

const long NONE = 1

A possible value for column `PROCEDURE_TYPE` in the com::sun::star::sdbc::XResultSet object returned by the method com::sun::star::sdbc::XDatabaseMetaData::getProcedures().

Indicates that the procedure does not return a result.

## ◆ RETURN

const long RETURN = 2

A possible value for column `PROCEDURE_TYPE` in the com::sun::star::sdbc::XResultSet object returned by the method com::sun::star::sdbc::XDatabaseMetaData::getProcedures().

Indicates that the procedure returns a result.

## ◆ UNKNOWN

const long UNKNOWN = 0

A possible value for column `PROCEDURE_TYPE` in the com::sun::star::sdbc::XResultSet object returned by the method com::sun::star::sdbc::XDatabaseMetaData::getProcedures().

Indicates that it is not known whether the procedure returns a result.